/**
 * Administration Javascript for extension
 */
jQuery(document).ready(function ($) {
    $('.termage_posts_list_delete_post').on('click', function () {
        if (!confirm(__('Are you sure?'))) {
            return false;
        }
        var post_id = $(this).attr('termage-post-id');
        var site_id = $(this).closest('tr').attr('site-id');
        $('td#termage-post-' + post_id).html('<i class="notched circle loading icon"></i>').show();
        $.ajax({
            url: ajaxurl,
            data: mainwp_secure_data({
                action: 'termageddon_for_mainwp_delete_post',
                post_id: post_id,
                site_id: site_id,
            }),
            success: function (data) {
                data = $.parseJSON(data);
                if (data && data['status'] == 'SUCCESS') {
                    $('td#termage-post-' + post_id).html('<td colspan="3"><i class="check green circle icon"></i> Item has been removed.</td>');
                    setTimeout(function () {
                        window.location.href = location.href;
                    }, 2000);
                } else {
                    $('td#termage-post-' + post_id).html('<i class="exclamation red icon"></i> ' + 'Can\'t delete the item.').show();
                }
            }, type: 'POST'
        });
    });
});
